Bug 41283 - [chromium] password autocomplete and field autocomplete should be moved out of EditorClientImpl.cpp
Summary: [chromium] password autocomplete and field autocomplete should be moved out o...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Jay Civelli
URL:
Keywords:
Depends on: 48217
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-28 10:05 PDT by Jay Civelli
Modified: 2010-10-29 13:02 PDT (History)
5 users (show)

See Also:


Attachments
Turning on the Chromium autocomplete implementation. (1.07 KB, patch)
2010-10-18 15:48 PDT, Jay Civelli
no flags Details | Formatted Diff | Diff
Removed name in FIXME (1.04 KB, patch)
2010-10-21 10:06 PDT, Jay Civelli
no flags Details | Formatted Diff | Diff
Patch (1.14 KB, patch)
2010-10-27 23:58 PDT, Jay Civelli
no flags Details | Formatted Diff | Diff
Patch for landing (1.14 KB, patch)
2010-10-28 00:00 PDT, Jay Civelli
levin: review+
levin: commit-queue+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jay Civelli 2010-06-28 10:05:41 PDT
The code for password autocompletion and form field autocomplete is currently in EditClientImpl.cpp
It should be moved to the Chromium code.
The motivation is to keep the logic out of the Chromium WebKit API.
Comment 1 Jay Civelli 2010-10-18 15:48:31 PDT
Created attachment 71096 [details]
Turning on the Chromium autocomplete implementation.
Comment 2 David Levin 2010-10-19 15:54:25 PDT
fyi, FIXME in WebKit shouldn't contain names.
Comment 3 Jay Civelli 2010-10-21 10:06:58 PDT
Created attachment 71450 [details]
Removed name in FIXME
Comment 4 WebKit Commit Bot 2010-10-22 16:06:49 PDT
Comment on attachment 71450 [details]
Removed name in FIXME

Clearing flags on attachment: 71450

Committed r70361: <http://trac.webkit.org/changeset/70361>
Comment 5 WebKit Commit Bot 2010-10-22 16:06:55 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Jay Civelli 2010-10-27 23:58:46 PDT
Created attachment 72149 [details]
Patch
Comment 7 Jay Civelli 2010-10-28 00:00:40 PDT
Created attachment 72150 [details]
Patch for landing